//
//  ViewController.h
//  PTTest
//
//  Copyright (c) 2013 PunchTab, Inc. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <PTSDK/PTController.h>

@interface MainViewController : UIViewController 

@property (nonatomic, strong) IBOutlet UIButton * loginButton;
@property (nonatomic, strong) IBOutlet UIButton * logoutButton;
@property (nonatomic, strong) IBOutlet UIButton * pointsButton;
@property (nonatomic, strong) IBOutlet UIButton * leaderboardButton;
@property (nonatomic, strong) IBOutlet UIButton * rewardsButton;

@property (nonatomic, strong) PTController * ptController;

- (IBAction)loginButtonPressed:(id)sender;
- (IBAction)logoutButtonPressed:(id)sender;
- (IBAction)pointsButtonPressed:(id)sender;
- (IBAction)leaderboardButtonPressed:(id)sender;
- (IBAction)rewardsButtonPressed:(id)sender;

@end
